<!--#include file="../inc/Secure.htm"-->
<!--#include file="../inc/conn.htm"-->
<!--#include file="../inc/dbtools.htm"-->
<HTML>
<HEAD>
<TITLE>  </TITLE>
<meta http-equiv="Content-Type" content="text/html; charset=gb2312">
<link rel="stylesheet" type="text/css" href="../CSS/main.css">
</HEAD>

<BODY BGCOLOR="#FFFFFF">
<div align=center>
<table border=1 cellpadding=3 cellspacing=0 width="90%" bgcolor=#EEEEEE bordercolordark="#FFFFFF" bordercolorlight="#999999"><tr><td>
<INPUT TYPE="button" name="cmdreturn" value="返  回" class="font9boldwhite" onclick="javascript:window.location.href='Meeting_index.htm'">
</td></tr></table>
</div>

<%
LoginID=trim(session("LoginID"))
if LoginID="" then response.end
selectdate=trim(request("SelectDate"))
if selectdate="" then selectdate=date()

set rs=server.createobject("adodb.recordset")
sql="select * from tblMeeting where ID>0"
rs.open sql,oConn
while not rs.eof
	MeetingID=trim(rs("id"))
	name=trim(rs("Name"))
	telcode=trim(rs("telcode"))
	owner=trim(rs("owner"))
	contain=trim(rs("contain"))
	body=trim(rs("body"))
	waiter=trim(rs("waiter"))
	board=trim(rs("board"))
	projection=trim(rs("projection"))
	speaker=trim(rs("speaker"))
	player=trim(rs("player"))
%>

<div align=center>

<table border=1 cellpadding=3 cellspacing=0 width="90%" bgcolor=#EEEEEE bordercolordark="#FFFFFF" bordercolorlight="#999999">
<tr>
	<td bgcolor=#CCCCCC width=100>会议室名</td>
	<td><a href="Meeting_Searchdetail.htm?MeetingID=<%=MeetingID%>">
	<%
	if isbusy(MeetingID) then
		response.write "<font color=red>"&Name&"(使用中)</font>"
	else
		response.write Name&"(空闲)"
	end if
	%></a>
	——<a href="Meeting_order.htm?Meetingid=<%=Meetingid%>">>>我要预约</a>
	</td>
	<td bgcolor=#CCCCCC width=100>联系电话</td>
	<td><%=telcode%></td>
</tr>

<tr>
	<td bgcolor=#CCCCCC>责任负责人</td>
	<td><%=owner%></td>
	<td bgcolor=#CCCCCC>可使用人数</td>
	<td><%=contain%></td>
</tr>
<tr>
	<td bgcolor=#CCCCCC>服务员</td>
	<td><%=waiter%></td>
	<td bgcolor=#CCCCCC>白板</td>
	<td><%=board%></td>
</tr>
<tr>
	<td bgcolor=#CCCCCC>投影仪</td>
	<td><%=projection%></td>
	<td bgcolor=#CCCCCC>音响设备</td>
	<td><%=speaker%></td>
</tr>
<tr>
	<td bgcolor=#CCCCCC>影像设备</td>
	<td colspan=3><%=player%></td>
</tr>
<tr>
	<td bgcolor=#CCCCCC>介绍</td>
	<td colspan=3>
	<%=replace(replace(server.htmlencode(body&""),chr(13),"<br>")," ","&nbsp;")%>&nbsp;
	</td>
</tr>
</table>
</div><BR>
<%
rs.movenext
wend
rs.close
set rs=nothing
%>
</div>
</BODY>
</HTML>
<!--#include file="../inc/conn_close.htm"-->
<%
private function isbusy(byval Meetingid)
	set rstmp=server.createobject("Adodb.recordset")
	sql="select * from tblMeetingOrder where startTime<='"& now() &"' and EndTime>='"& now() &"' and MeetingID="& Meetingid
	rstmp.open sql,oConn
	if not rstmp.eof then
		isbusy=true
	else
		isbusy=false
	end if
	rstmp.close
end function
%>